org.apache.tomcat.jni

## Class FileInfo

- java.lang.Object
- - org.apache.tomcat.jni.FileInfo

    public class FileInfo
    extends Object

Fileinfo

Author:
  Mladen Turk

### Field Summary

Fields
`long` `atime` The time the file was last accessed
`long` `csize` The storage size consumed by the file
`long` `ctime` The time the file was created, or the inode was last changed
`int` `device` The id of the device the file is on.
`long` `filehand` The file's handle, if accessed (can be submitted to apr_duphandle)
`int` `filetype` The type of file.
`String` `fname` The pathname of the file (possibly unrooted)
`int` `group` The group id that owns the file
`int` `inode` The inode of the file.
`long` `mtime` The time the file was last modified
`String` `name` The file's name (no path) in filesystem case
`int` `nlink` The number of hard links to the file.
`long` `pool` Allocates memory and closes lingering handles in the specified pool
`int` `protection` The access permissions of the file.
`long` `size` The size of the file
`int` `user` The user id that owns the file
`int` `valid` The bitmask describing valid fields of this apr_finfo_t structure including all available 'wanted' fields and potentially more

### Constructor Summary

Constructors
Constructor and Description
`FileInfo()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### pool

    public long pool

Allocates memory and closes lingering handles in the specified pool

#### valid

    public int valid

The bitmask describing valid fields of this apr_finfo_t structure including all available 'wanted' fields and potentially more

#### protection

    public int protection

The access permissions of the file. Mimics Unix access rights.

#### filetype

    public int filetype

The type of file. One of APR_REG, APR_DIR, APR_CHR, APR_BLK, APR_PIPE, APR_LNK or APR_SOCK. If the type is undetermined, the value is APR_NOFILE. If the type cannot be determined, the value is APR_UNKFILE.

#### user

    public int user

The user id that owns the file

#### group

    public int group

The group id that owns the file

#### inode

    public int inode

The inode of the file.

#### device

    public int device

The id of the device the file is on.

#### nlink

    public int nlink

The number of hard links to the file.

#### size

    public long size

The size of the file

#### csize

    public long csize

The storage size consumed by the file

#### atime

    public long atime

The time the file was last accessed

#### mtime

    public long mtime

The time the file was last modified

#### ctime

    public long ctime

The time the file was created, or the inode was last changed

#### fname

    public String fname

The pathname of the file (possibly unrooted)

#### name

    public String name

The file's name (no path) in filesystem case

#### filehand

    public long filehand

The file's handle, if accessed (can be submitted to apr_duphandle)

### Constructor Detail

#### FileInfo

    public FileInfo()